/**
 * 		Paragraph - Basic Slideshow CSS
 */


/* Basic Slideshow Section */

/*
.paragraph--type--basic-slideshow .paragraph--type--basic-slideshow {
  margin: 50px 10%;
}

.paragraph--type--basic-slideshow .slide_brightness_overlay {
  display: none;
}

*/

.paragraph--type--basic-slideshow .carousel-inner {
  padding-left: 5%;
  padding-right: 5%;
}

.paragraph--type--basic-slideshow .paragraph--type--basic-slideshow-slide {
  display: flex;
  flex-flow: row;
}

.paragraph--type--basic-slideshow .paragraph--type--basic-slideshow-slide .field--name-field-basic-sshow-slide-image {
  background-color: transparent !important;
  position: relative;
  flex-basis: 0;
  flex-grow: 1;
}

.paragraph--type--basic-slideshow .paragraph--type--basic-slideshow-slide .slide_overlay {
  background-color: transparent !important;
  position: relative;
  flex-basis: 0;
  flex-grow: 1;
}

.paragraph--type--basic-slideshow .paragraph--type--basic-slideshow-slide .slide_overlay_text {
  width: auto !important;
  padding: 0px 20px !important;
}

/* Slideshow Nav Buttons */

.paragraph--type--basic-slideshow .nav-block-label {
  font-size: 1.3rem;
  line-height: normal;
}

.paragraph--type--basic-slideshow .carousel-control-wrapper {
  width: 48px !important;
  height: 48px;
  border-radius: 24px;
  border: 2px solid #fff;
  background: none !important;
}

.paragraph--type--basic-slideshow .carousel-slider-control {
  display: flex;
  flex-flow: column;
  margin-top: 40px;
  margin-bottom: 40px;
}

.paragraph--type--basic-slideshow .carousel-slider-control .carousel-slider-pause {
  display: none;
}

.paragraph--type--basic-slideshow .carousel-indicators {
  position: relative;
  display: flex;
  margin-right: unset;
  margin-left: unset;
  margin-top: 0px;
  margin-bottom: 0px;
}

.paragraph--type--basic-slideshow .carousel-rule-line-first {
  display: flex;
}

.paragraph--type--basic-slideshow .carousel-rule-line-second {
  display: flex;
}

.paragraph--type--basic-slideshow .carousel-rule-line {
  height: 5px;
  width: 100%;
  background-color: white;
  border: 1px solid black;
  padding: 1px;
}

.paragraph--type--basic-slideshow .carousel-indicators button {
  display: inline-block;
  width: 14px;
  height: 14px;
  margin-right: 10px;
  margin-left: 10px;
  border: 1px solid black;
  background-color: white;    
  border-radius: 14px;
  opacity: 50%;
  position: relative;
  vertical-align: middle;
}

.paragraph--type--basic-slideshow .carousel-indicators button:hover {
  background-color: #888;
  border: 1px solid black;
  opacity:80%;
}

.paragraph--type--basic-slideshow .carousel-indicators button.active {
  background-color: #888;
  border: 1px solid black;
  opacity: 80%;
}



/* Slides */

.paragraph--type--basic-slideshow .img-fluid {
  /*
  width: 100%;
  object-fit: cover;
  object-position: top;
  position: absolute;
  height: revert-layer;
  max-width: 100%;
  */
  width: 100%;  
}

.paragraph--type--basic-slideshow .paragraph--type--basic-slideshow-slide {
  display: block;
}

.paragraph--type--basic-slideshow .slide_title {
  display: block;
  width:100%;
}

.paragraph--type--basic-slideshow .slide_title,
.paragraph--type--basic-slideshow .slide_title p,
.paragraph--type--basic-slideshow .slide_title a,
.paragraph--type--basic-slideshow .slide_title a:visited,
.paragraph--type--basic-slideshow .slide_title a:active {
  font-family: 'Stratum2Web', sans-serif;
  font-size: 2rem;
  line-height: 2.2rem;
  /*color: white;*/
  text-decoration: none;
}

.paragraph--type--basic-slideshow .slide_title a:hover {
  text-decoration: underline;
}

.paragraph--type--basic-slideshow .slide_details {
  display: flex;
  flex-flow: row;
  /*height: 700px;*/
}

.paragraph--type--basic-slideshow.section-img-position-left .slide_image {
  order: 0;
}

.paragraph--type--basic-slideshow.section-img-position-left .slide_overlay {
  order: 1;
}

.paragraph--type--basic-slideshow.section-img-position-right .slide_image {
  order: 1;
}

.paragraph--type--basic-slideshow.section-img-position-right .slide_overlay {
  order: 0;
}

.paragraph--type--basic-slideshow .slide_details .slide_image {
  display: flex;
  flex-flow: column;
  position: relative;
}

.paragraph--type--basic-slideshow .slide_details .slide_overlay {
  display: flex;
  flex-flow: column;
}

.paragraph--type--basic-slideshow .paragraph--type--basic-slideshow .carousel-item {
  max-height: {{ carousel_height }}px;
}

.paragraph--type--basic-slideshow .paragraph--type--basic-slideshow .carousel-item img {
  object-fit: cover;
  /* height has to remain constant for overlay */
  height: {{ carousel_height }}px;
}

.paragraph--type--basic-slideshow .slide_overlay {
  background-color: rgba(0,0,0,0.5);
  position: absolute;
  bottom: 0;
  z-index: 99;
  margin: 0;
  padding: 0;
  display: block;
  width: 100%;
}

.paragraph--type--basic-slideshow .slide_overlay_text {
  margin: 0;
  width: 63%;
  padding: 30px 30px 30px 60px;
  /*color: white;*/
  display: inline-block;
}

.paragraph--type--basic-slideshow .slide_overlay_desc_wrapper_2 {
  padding: 0 40px;
}

.paragraph--type--basic-slideshow h3.slide-title {
  color: white;
  margin-top: 0;
}

.paragraph--type--basic-slideshow .slide_overlay_text .field--name-field-basic-sshow-overlay-title {
  display: inline-block;
}

.paragraph--type--basic-slideshow .slide_overlay_text .open-blockquote,
.paragraph--type--basic-slideshow .slide_overlay_text .close-blockquote {
  font-family: Arial;
  font-size: 4.5rem;
  line-height: 4rem;
  font-weight: bold;
  display: flex;
  flex-flow: column;
}

.paragraph--type--basic-slideshow .slide_overlay_text .open-blockquote {
  justify-content: end;
  margin-bottom: -4.5rem;
}

.paragraph--type--basic-slideshow .slide_overlay_text .close-blockquote {
  justify-content: center;
  text-align: right;
  margin-top: -3.5rem;
}

.paragraph--type--basic-slideshow .slide_overlay_text .quoted-text {
  padding: 20px 40px 10px 40px;
  /*border-bottom: 1px solid white;*/
}

.paragraph--type--basic-slideshow .slide_overlay_text .field--name-field-basic-sshow-overlay-text {
  font-family: "Open Sans", Arial, Verdana, sans-serif;
  font-size: 1.3rem;
  line-height: 2rem;
  /*font-weight: bold;*/
  margin: 0 0 10px 0;
  padding: 0;
}  

.paragraph--type--basic-slideshow .slide_overlay_text .field--name-field-basic-sshow-overlay-subj {
  font-family: "Open Sans", Arial, Verdana, sans-serif;
  font-size: 1.5rem;
  line-height: 2rem;
  font-weight: bold;
  margin: 10px 0;
  padding: 0;
}

.paragraph--type--basic-slideshow .slide_overlay_text .field--name-field-basic-sshow-overlay-text-2 {
  font-family: "Open Sans", Arial, Verdana, sans-serif;
  font-size: initial;
  line-height: initial;
  margin: 10px 0 0 0;
  padding: 0;
}

.paragraph--type--basic-slideshow .field--name-field-basic-sshow-slide-image {
  display: block;
}

.paragraph--type--basic-slideshow .field--name-field-basic-sshow-vert-image {
  display: none;
}



/** Prev/Next Arrows **/

.paragraph--type--basic-slideshow .prev-next-wrapper {
  position: absolute;
  top: 50%;
  left: 0;
  width: 100%;
  z-index: 400;
}

.paragraph--type--basic-slideshow .carousel-control-wrapper {
  border: none;
  width: auto !important;
  height: auto !important;
}

/*
.paragraph--type--basic-slideshow .carousel-control-wrapper i.bi {
  font-size: 7rem;
}
*/

.paragraph--type--basic-slideshow .bi-chevron-left::before {
  content: "\F12A";
  font-size: 4rem;
  color: white;
  margin-left: -15px;
}

.paragraph--type--basic-slideshow .bi-chevron-right::before {
  content: "\f134";
  font-size: 4rem;
  color: white;
  margin-right: -15px;
}

.paragraph--type--basic-slideshow.dark .bi-chevron-left::before,
.paragraph--type--basic-slideshow.dark .bi-chevron-right::before {
  color: #000;
}

.paragraph--type--basic-slideshow .carousel-control-next {
  justify-content: right;
  /*font-size: 7rem;*/
}

.paragraph--type--basic-slideshow .carousel-control-prev {
  justify-content: left;
}

/** Tweaks for News Carousel conflict **/

.paragraph--type--basic-slideshow .carousel-control-prev, 
.paragraph--type--basic-slideshow .carousel-control-next {
  position: absolute;
  top: inherit !important;
  transform: none !important;
  background: none !important;
  height: inherit !important;
  width: inherit !important;
  border-radius: unset !important;
  margin: inherit !important;
}


/** Mobile Tweaks **/

@media only screen and (max-width: 1199px) {
  .paragraph--type--basic-slideshow .slide_overlay_text .field--name-field-basic-sshow-overlay-text {
    font-size: 1.2rem;
  }

  .paragraph--type--basic-slideshow .slide_overlay_text .open-blockquote, 
  .paragraph--type--basic-slideshow .slide_overlay_text .close-blockquote {
    font-size: 3rem;
  }  

  .paragraph--type--basic-slideshow .slide_overlay_text .field--name-field-basic-sshow-overlay-subj {
    font-size: 1.3rem;
  }

  .paragraph--type--basic-slideshow .carousel-inner {
    padding-left: 7%;
    margin-right: 7%;
  }
}

@media only screen and (max-width: 991px) {
  .paragraph--type--basic-slideshow .carousel-inner {
    padding-left: 5%;
    padding-right: 5%
    /*height: 840px;*/
  }

  .paragraph--type--basic-slideshow .carousel-inner {
    padding-left: 10%;
    padding-right: 10%;
  }

  .paragraph--type--basic-slideshow .slide_overlay_text .field--name-field-basic-sshow-overlay-text {
    font-size: 1.2rem;
  }

  .paragraph--type--basic-slideshow .slide_overlay_text .open-blockquote, 
  .paragraph--type--basic-slideshow .slide_overlay_text .close-blockquote {
    font-size: 3rem;
  }

  .paragraph--type--basic-slideshow .field--name-field-basic-sshow-slide-image {
    display: none;
  }

  .paragraph--type--basic-slideshow .field--name-field-basic-sshow-vert-image {
    display: block;
  }

  .paragraph--type--basic-slideshow img.img-fluid {
    max-height: 300px;
    width: 100%;
    object-fit: cover;
  }

  .paragraph--type--basic-slideshow .prev-next-wrapper {
    top: 25%;
  }

  .paragraph--type--basic-slideshow .bi-chevron-left::before,
  .paragraph--type--basic-slideshow .bi-chevron-right::before {
    font-size: 3rem;
  }

  .paragraph--type--basic-slideshow .img-fluid {
    position: relative;
  }
  .paragraph--type--basic-slideshow .slide_details {
    flex-flow: column;
    height: auto;
  }
  .paragraph--type--basic-slideshow .slide_overlay {
    padding-top: 20px;
  }
}

@media only screen and (max-width: 767px) {
  .paragraph--type--basic-slideshow .bi-chevron-left::before,
  .paragraph--type--basic-slideshow .bi-chevron-right::before {
    font-size: 3rem;
  }
}

@media only screen and (max-width: 575px) {
  .paragraph--type--basic-slideshow .slide_overlay_text .field--name-field-basic-sshow-overlay-text {
    font-size: 1rem;
  }

  .paragraph--type--basic-slideshow .bi-chevron-left::before,
  .paragraph--type--basic-slideshow .bi-chevron-right::before {
    font-size: 2rem;
  }
}
